[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# BeginPaint

Start painting in a window.

## Declaration

Source position: winapih.inc line 38

`function BeginPaint(`
`Handle: HWND;`
`var PS: TPaintStruct`
`):HDC;`

## Arguments

`Handle` |  | The window Handle.
`PS` |  | Will receive painting information.

## Function result

A Device Context for the window, Nil on failure.

## Description

This function is for use in WM_PAINT handlers only. Not all platforms allow for painting outside WM_PAINT messages.

BeginPaint prepares the specified window for painting and fills a PAINTSTRUCT structure with information about the painting.